ImageMagick woes - SGI

This is a discussion on ImageMagick woes - SGI ; Indy: IRIS% uname -R 6.5 6.5.20m IRIS% versions | grep fw_Imag I fw_ImageMagick 08/06/2003 ImageMagick-5.4.1-2 X11 image display/manipulation I fw_ImageMagick.sw 08/06/2003 ImageMagick-5.4.1-2 execution only env IRIS% mogrify -draw 'text 8,379 Thisisatest' test.jpg sh: gs: not found sh: gs: not found ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: ImageMagick woes

  1. ImageMagick woes

    Indy:
    IRIS% uname -R
    6.5 6.5.20m
    IRIS% versions | grep fw_Imag
    I fw_ImageMagick 08/06/2003 ImageMagick-5.4.1-2 X11 image
    display/manipulation
    I fw_ImageMagick.sw 08/06/2003 ImageMagick-5.4.1-2 execution only env

    IRIS% mogrify -draw 'text 8,379 Thisisatest' test.jpg
    sh: gs: not found
    sh: gs: not found
    mogrify: Postscript delegate failed [No such file or directory].

    This command works just fine on Irix 6.5.16, with a way previous
    verion of Image Magick.

    Any clues?

    --
    Greg Douglas
    Reputable Systems


  2. Re: ImageMagick woes

    In article <3F839FDD.7020805@reputable.com>,
    Greg Douglas wrote:
    >6.5 6.5.20m

    :IRIS% mogrify -draw 'text 8,379 Thisisatest' test.jpg
    :sh: gs: not found

    gs is GhostScript. An undocumented dependancy perhaps.
    --
    Warning: potentially contains traces of nuts.

  3. Re: ImageMagick woes



    Walter Roberson wrote:
    > :IRIS% mogrify -draw 'text 8,379 Thisisatest' test.jpg
    > :sh: gs: not found
    >
    > gs is GhostScript. An undocumented dependancy perhaps.


    Thanks, Walter.

    Yup, that looks to be the case. And just to install
    ghostscript.sw, none of the man, examples, or cups:

    Inst> conf

    fw_ghostscript.sw.ghostscript cannot be installed because of missing
    prerequisites:
    1a. Do not install fw_ghostscript.sw.ghostscript (1278773620)
    1b. Also install fw_cups.sw.lib (1278600000 - 1289999900),
    fw_gimp-print.sw.gimp-print (1278600000 - 1289999900) and
    fw_glib.sw.lib (1278600000 - 1289999900) from an additional
    distribution -- insert another CD or specify another software
    distribution.

    (sigh). So much for my lean, mean, webcam machine with a 1Gb disk.


    --
    Greg Douglas
    Reputable Systems




  4. Re: ImageMagick woes

    On 2003-10-08, Greg Douglas wrote:
    > Thanks, Walter.
    >
    > Yup, that looks to be the case. And just to install
    > ghostscript.sw, none of the man, examples, or cups:
    >
    > Inst> conf
    >
    > fw_ghostscript.sw.ghostscript cannot be installed because of missing
    > prerequisites:
    > 1a. Do not install fw_ghostscript.sw.ghostscript (1278773620)
    > 1b. Also install fw_cups.sw.lib (1278600000 - 1289999900),
    > fw_gimp-print.sw.gimp-print (1278600000 - 1289999900) and
    > fw_glib.sw.lib (1278600000 - 1289999900) from an additional
    > distribution -- insert another CD or specify another software
    > distribution.
    >
    > (sigh). So much for my lean, mean, webcam machine with a 1Gb disk.


    Yeah.. when I first saw that the new gs freeware package was depending
    on cups I didn't update it.

    Maybe you can grab an old release of the package around? After
    installing I usually remove the tarballs

    --
    wave++ (also known, in some places, as "Yuri D'Elia") http://www.yuv.info/
    The email address is fake (thanks swen)! You know how to contact me anyway.

  5. Re: ImageMagick woes

    In comp.sys.sgi.admin Greg Douglas wrote:
    > IRIS% mogrify -draw 'text 8,379 Thisisatest' test.jpg


    Others already told you what's the problem here...

    But maybe you don't need Image Magick at all - there are other tools
    that stamp text into a given picture (pbmlabel and such). Google gives a
    lot of hints here.

    --
    PGP2 Key-ID: 666R/36540865 1997-06-09 Marcus Herbert
    GPG Key-ID: 1024D/2E2DAB44 2000-01-30
    Geek-Code: GCS b O e+ h

+ Reply to Thread